Update Notification Settings
curl --request PATCH \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/notification-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slack_channel_id": "C0123456789"
}
'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/notification-settings"
payload = { "slack_channel_id": "C0123456789" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({slack_channel_id: 'C0123456789'})
};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/notification-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "notification_settings",
"slack": {
"connection_scope": "account",
"configured": true,
"connected": true,
"team": {
"id": "<string>",
"name": "<string>"
},
"channel": {
"id": "<string>",
"name": "<string>",
"is_private": true
},
"last_error": "<string>",
"last_notified_at": "2026-08-09T12:00:00.000Z",
"updated_at": "2026-08-09T12:00:00.000Z"
}
}Slack Notifications
Update Notification Settings
Select or clear the Slack notification channel.
PATCH
/
workspaces
/
{workspace_id}
/
notification-settings
Update Notification Settings
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
Maximum string length:
128Path Parameters
Unique workspace ID.
Example:
"ws_01JABCDEF"
Body
application/json
Slack channel selection.
Minimum string length:
1